### org.jfree.layouting.normalizer.displaymodel

# Class FastDisplayModelBuilder

- `java.lang.Object`
- - `org.jfree.layouting.normalizer.displaymodel.FastDisplayModelBuilder`

Implemented Interfaces:
  ModelBuilder, StatefullComponent

`public class FastDisplayModelBuilder`
`extends java.lang.Object`
`implements ModelBuilder`

Creation-Date: Jan 5, 2007, 3:01:09 PM

Author:
  Thomas Morgner

  ## Field Summary

  `static int`

  `FLAG_AUTOGENERATED`

  `static int`

  `MODEL_BLOCK_INSIDE`

  `static int`

  `MODEL_INLINE_INSIDE`

  `static int`

  `MODEL_TABLE`

  `static int`

  `MODEL_TABLE_COL`

  `static int`

  `MODEL_TABLE_COLGROUP`

  `static int`

  `MODEL_TABLE_ROW`

  `static int`

  `MODEL_TABLE_SECTION`

  `static int`

  `TYPE_BLOCK`

  `static int`

  `TYPE_FLOW`

  `static int`

  `TYPE_IGNORED`

  `static int`

  `TYPE_INLINE`

  `static int`

  `TYPE_MARKER`

  `static int`

  `TYPE_PARAGRAPH`

  `static int`

  `TYPE_RUBY`

  `static int`

  `TYPE_TABLE`

  `static int`

  `TYPE_TABLE_CAPTION`

  `static int`

  `TYPE_TABLE_CELL`

  `static int`

  `TYPE_TABLE_COL`

  `static int`

  `TYPE_TABLE_COLGROUP`

  `static int`

  `TYPE_TABLE_ROW`

  `static int`

  `TYPE_TABLE_SECTION`

  ## Constructor Summary

  `FastDisplayModelBuilder()`

  `FastDisplayModelBuilder(ContentGenerator contentGenerator, LayoutProcess layoutProcess)`

  ## Method Summary

  `void`

  `addContent(ContentToken content)`

  `void`

  `endDocument()`

  `void`

  `endElement()`

  `Renderer`

  `getRenderer()`

  `void`

  `handlePageBreak(PageContext pageContext)`

  `State`

  `saveState()`

  `void`

  `startDocument(PageContext pageContext)`

  `void`

  `startElement(LayoutContext layoutContext)`

## Field Details

### FLAG_AUTOGENERATED

    public static final int FLAG_AUTOGENERATED

> Field Value:
>   16777216

### MODEL_BLOCK_INSIDE

    public static final int MODEL_BLOCK_INSIDE

> Field Value:
>   1

### MODEL_INLINE_INSIDE

    public static final int MODEL_INLINE_INSIDE

> Field Value:
>   2

### MODEL_TABLE

    public static final int MODEL_TABLE

> Field Value:
>   3

### MODEL_TABLE_COL

    public static final int MODEL_TABLE_COL

> Field Value:
>   7

### MODEL_TABLE_COLGROUP

    public static final int MODEL_TABLE_COLGROUP

> Field Value:
>   6

### MODEL_TABLE_ROW

    public static final int MODEL_TABLE_ROW

> Field Value:
>   5

### MODEL_TABLE_SECTION

    public static final int MODEL_TABLE_SECTION

> Field Value:
>   4

### TYPE_BLOCK

    public static final int TYPE_BLOCK

> Field Value:
>   1

### TYPE_FLOW

    public static final int TYPE_FLOW

> Field Value:
>   14

### TYPE_IGNORED

    public static final int TYPE_IGNORED

> Field Value:
>   12

### TYPE_INLINE

    public static final int TYPE_INLINE

> Field Value:
>   2

### TYPE_MARKER

    public static final int TYPE_MARKER

> Field Value:
>   3

### TYPE_PARAGRAPH

    public static final int TYPE_PARAGRAPH

> Field Value:
>   13

### TYPE_RUBY

    public static final int TYPE_RUBY

> Field Value:
>   4

### TYPE_TABLE

    public static final int TYPE_TABLE

> Field Value:
>   5

### TYPE_TABLE_CAPTION

    public static final int TYPE_TABLE_CAPTION

> Field Value:
>   11

### TYPE_TABLE_CELL

    public static final int TYPE_TABLE_CELL

> Field Value:
>   6

### TYPE_TABLE_COL

    public static final int TYPE_TABLE_COL

> Field Value:
>   10

### TYPE_TABLE_COLGROUP

    public static final int TYPE_TABLE_COLGROUP

> Field Value:
>   9

### TYPE_TABLE_ROW

    public static final int TYPE_TABLE_ROW

> Field Value:
>   7

### TYPE_TABLE_SECTION

    public static final int TYPE_TABLE_SECTION

> Field Value:
>   8

## Constructor Details

### FastDisplayModelBuilder

    public FastDisplayModelBuilder()

### FastDisplayModelBuilder

    public FastDisplayModelBuilder(ContentGenerator contentGenerator,
                                   LayoutProcess layoutProcess)

## Method Details

### addContent

    public void addContent(ContentToken content)
                throws NormalizationException

> Specified by:
>   addContent in interface ModelBuilder

### endDocument

    public void endDocument()
                throws NormalizationException

> Specified by:
>   endDocument in interface ModelBuilder

### endElement

    public void endElement()
                throws NormalizationException

> Specified by:
>   endElement in interface ModelBuilder

### getRenderer

    public Renderer getRenderer()

> Specified by:
>   getRenderer in interface ModelBuilder

### handlePageBreak

    public void handlePageBreak(PageContext pageContext)
                throws NormalizationException

> Specified by:
>   handlePageBreak in interface ModelBuilder

### saveState

    public State saveState()
                throws StateException

> Specified by:
>   saveState in interface StatefullComponent

### startDocument

    public void startDocument(PageContext pageContext)
                throws NormalizationException

> Specified by:
>   startDocument in interface ModelBuilder

### startElement

    public void startElement(LayoutContext layoutContext)
                throws NormalizationException,
                       IOException

> Specified by:
>   startElement in interface ModelBuilder